from setuptools import find_packages, setup
#TODO add versions
setup(
    name='tab_bench_dev',
    packages=find_packages(),
    install_requires=[
        "wheel",
        "numpy",
        "torch",
        "dill",
        "ConfigSpace",
        "matplotlib",
        "scikit-learn",
        "xgboost",
        "catboost",
        "lightgbm",
        "fire",
        "ray",
        "pynvml",
        "psutil",
        "pytorch-widedeep",
        "torchmetrics",
        "pyyaml",
        "openml",
        "hyperopt",
        "smac",
        "requests",
        "patool",
        "openpyxl",
        "xlrd",
        "pytorch-lightning",
        "mkdocs-material",
        "mkdocstrings[python]",
        "pytest",
        "pytest-cov",
        "msgpack",
        "tueplots",
        "kditransform",
        "seaborn",
        "adjustText",
        "skorch"
    ]
)
